// mfcView.h : interface of the CMfcView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MFCVIEW_H__54E68BF3_6565_491E_BB46_549188D3C2F1__INCLUDED_)
#define AFX_MFCVIEW_H__54E68BF3_6565_491E_BB46_549188D3C2F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include <list>

typedef std::string					STRING;
typedef std::list<STRING>			STRLIST;
typedef std::list<STRING>::iterator	STRLISTITER;

class CMfcView : public CScrollView
{
protected: // create from serialization only
	CMfcView();
	DECLARE_DYNCREATE(CMfcView)

// Attributes
public:
	CMfcDoc* GetDocument();
	void OnInitialUpdate();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMfcView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMfcView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in mfcView.cpp
inline CMfcDoc* CMfcView::GetDocument()
   { return (CMfcDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCVIEW_H__54E68BF3_6565_491E_BB46_549188D3C2F1__INCLUDED_)
